Last Comment Bug 433063 - write tests for bug 418206
: write tests for bug 418206
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Jonathan Watt [:jwatt]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-09 12:55 PDT by :Gavin Sharp [email: gavin@gavinsharp.com]
Modified: 2011-04-25 08:28 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description :Gavin Sharp [email: gavin@gavinsharp.com] 2008-05-09 12:55:57 PDT
See bug 418206 comment 7.
Comment 1 Jonathan Watt [:jwatt] 2011-04-20 14:19:34 PDT
The problem that bug 418206 fixed was that an invalid viewBox on the root <svg> had an affect on the SVGRect returned by document.documentElement.getBBox(). It make the SVGRect huge, and the testcases were doing |for (var i=0; i<bbox.width; ++i)| (and the same for height) which was resulting in a massive number of iterations. Basically what we need here is a test to check that the SVGRect returned by getBBox() isn't affected by a broken viewBox.
Comment 2 Jonathan Watt [:jwatt] 2011-04-20 14:43:30 PDT
I'll push a test in a bit.
Comment 3 Jonathan Watt [:jwatt] 2011-04-25 08:28:32 PDT
http://hg.mozilla.org/mozilla-central/rev/246b6dbc417a

Note You need to log in before you can comment on or make changes to this bug.